Bug 54147 - port games/xpired invalid dependency
Summary: port games/xpired invalid dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-06 12:50 UTC by Jamie Jones
Modified: 2003-07-21 02:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Jones 2003-07-06 12:50:21 UTC
ports/xpired/Makefile has :

LIB_DEPENDS=    SDL_gfx.0:${PORTSDIR}/graphics/sdl_gfx \

But the current graphics/sdl_gfx installs as sdl_gfx.so.7

Fix: 

Change to:

LIB_DEPENDS=    SDL_gfx.7:${PORTSDIR}/graphics/sdl_gfx \
Comment 1 Tilman Keskinoz freebsd_committer 2003-07-08 23:23:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

Over to maintainer
Comment 2 Edwin Groothuis freebsd_committer 2003-07-16 06:19:16 UTC
State Changed
From-To: open->closed

Fixed by daichi@, thanks for your report!
Comment 3 Jamie Jones 2003-07-21 02:27:48 UTC
Hi. Seems another change in SDL_gfx has recreated the problem.

Now dependency on sdl_gfx.so.7 should be sdl_gfx.so.8

Cheers,
Jamie
Comment 4 edwin 2003-07-21 02:38:59 UTC
On Mon, Jul 21, 2003 at 02:27:48AM +0100, Jamie Jones wrote:
> Hi. Seems another change in SDL_gfx has recreated the problem.
> 
> Now dependency on sdl_gfx.so.7 should be sdl_gfx.so.8

Fixed, thanks!

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php